# dkim_query_t

[back to index]

DESCRIPTION

Purpose | A `dkim_query_t` is a value from an enumerated list of the possible key query algorithms available. It is typically determined by parsing the `q=` portion of a received signature when verifying an arriving message. However, by using `dkim_options()`, the caller can force a particular query method.

Possible Values

- `DKIM_QUERY_DNS` -- use the DNS TXT record binding defined by the DKIM specification (the default)
- `DKIM_QUERY_FILE` -- read keys from a local file; intended for debugging or experimental use only

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.